#!/usr/bin/python
# 
# BS Route Generator - CIDR style
# 
# This just prints out a random network from the IPv4 address space and makes no attempt to filter bogons or martians
#
# Blackhole Networks
#
# version = 0.1

import random, sys

# Get a random 32 bit number for our IP address and a random length for our netmask
ip = random.randint(0,4294967295)
mask = random.randint(0,31)

# Convert our mask length into a 32 bit number
submask = 0
for i in range (mask):
   submask=submask+2**(31-i)

# Get the network ID by performing a bitwise and with our IP address and our subnet mask
network = ip & submask

# print the network ID out in dotted quad notation 
# do this by masking and bit shifting
oct1 = (network & 0b11111111000000000000000000000000) >> 24
oct2 = (network & 0b00000000111111110000000000000000) >> 16
oct3 = (network & 0b00000000000000001111111100000000) >> 8
oct4 = (network & 0b00000000000000000000000011111111) >> 0

# Print out the network in CIDR notation
sys.stdout.write("%s.%s.%s.%s/%s\n" % ( oct1, oct2, oct3, oct4, mask))
